<h1 class="mt-3">Selectores anidados</h1>

<hr>

<form [formGroup]="myForm">
  <div class="row mb-3">
    <div class="col">
      <label class="form-label">Continente:</label>
      <select formControlName="region" class="form-control">
        <option value="">--- Seleccione Continente ---</option>
        <option *ngFor="let region of regions" [value]="region">{{region}} </option>
      </select>
    </div>
  </div>
</form>

<form [formGroup]="myForm" *ngIf="countriesByRegion.length > 0">
  <div class="row mb-3">
    <div class="col">
      <label class="form-label">Continente:</label>
      <select formControlName="country" class="form-control">
        <option value="">--- Seleccione Pais ---</option>
        <option *ngFor="let country of countriesByRegion" [value]="country.cca3">{{country.name}}</option>
      </select>
    </div>
  </div>
</form>

<form [formGroup]="myForm" *ngIf="borders.length > 0">
  <div class="row mb-3">
    <div class="col">
      <label class="form-label">Continente:</label>
      <select formControlName="border" class="form-control">
        <option value="">--- Seleccione una frontera ---</option>
        <option *ngFor="let country of borders" [value]="country.cca3">{{country.name}}</option>
      </select>
    </div>
  </div>
</form>

<h3>Formulario</h3>
<code>
  {{myForm.value | json}}
</code>

<p>
  Is form valid: {{myForm.valid}}
</p>